Package com.io7m.idstore.protocol.user.cb

# Interface ProtocolIdU1v1Type

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdU1Type`

All Known Implementing Classes:
  `IdU1CommandEmailAddBegin`, `IdU1CommandEmailAddDeny`, `IdU1CommandEmailAddPermit`, `IdU1CommandEmailRemoveBegin`, `IdU1CommandEmailRemoveDeny`, `IdU1CommandEmailRemovePermit`, `IdU1CommandLogin`, `IdU1CommandPasswordUpdate`, `IdU1CommandRealnameUpdate`, `IdU1CommandUserSelf`, `IdU1ResponseEmailAddBegin`, `IdU1ResponseEmailAddDeny`, `IdU1ResponseEmailAddPermit`, `IdU1ResponseEmailRemoveBegin`, `IdU1ResponseEmailRemoveDeny`, `IdU1ResponseEmailRemovePermit`, `IdU1ResponseError`, `IdU1ResponseLogin`, `IdU1ResponseUserSelf`, `IdU1ResponseUserUpdate`

public sealed interface ProtocolIdU1v1Type extends ProtocolIdU1Type permits IdU1CommandEmailAddBegin, IdU1CommandEmailAddDeny, IdU1CommandEmailAddPermit, IdU1CommandEmailRemoveBegin, IdU1CommandEmailRemoveDeny, IdU1CommandEmailRemovePermit, IdU1CommandLogin, IdU1CommandPasswordUpdate, IdU1CommandRealnameUpdate, IdU1CommandUserSelf, IdU1ResponseEmailAddBegin, IdU1ResponseEmailAddDeny, IdU1ResponseEmailAddPermit, IdU1ResponseEmailRemoveBegin, IdU1ResponseEmailRemoveDeny, IdU1ResponseEmailRemovePermit, IdU1ResponseError, IdU1ResponseLogin, IdU1ResponseUserSelf, IdU1ResponseUserUpdate
Protocol `com.io7m.idstore.protocol.user.cb.IdU1`, version `1`.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static ProtocolIdU1v1Type`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type ProtocolIdU1v1Type.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdU1v1Type $x)`
  Serialize a value of type ProtocolIdU1v1Type.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdU1v1Type $x) throws IOException
    Serialize a value of type ProtocolIdU1v1Type.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static ProtocolIdU1v1Type deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type ProtocolIdU1v1Type.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type ProtocolIdU1v1Type.
    Throws:
      `IOException`